Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.webapp.filter
Class WelcomeFileHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.myfaces.webapp.filter.WelcomeFileHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class WelcomeFileHandler
extends org.xml.sax.helpers.DefaultHandler

DOCUMENT ME!

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Robert J. Lebowitz (latest modification by $Author: matze $)

Constructor Summary
`WelcomeFileHandler()` Creates a new WelcomeFileHandler object.

Method Summary
`void` | `characters(char[] ch, int start, int length)` Method used to examine, modify or extract text in body of an element
`void` | `endElement(java.lang.String ns, java.lang.String local, java.lang.String qName)` Method called with each end element in an XML Document
`java.lang.String[]` | `getWelcomeFiles()` Accessor method used to get the array of welcome files.
`void` | `startElement(java.lang.String ns, java.lang.String local, java.lang.String qName, org.xml.sax.Attributes atts)` Method called with each start element in an XML document

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WelcomeFileHandler

    public WelcomeFileHandler()

  Creates a new WelcomeFileHandler object.

Method Detail

### getWelcomeFiles

    public java.lang.String[] getWelcomeFiles()

  Accessor method used to get the array of welcome files.

  Returns:
    The string array of welcome files.

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Method used to examine, modify or extract text in body of an element

  Parameters:
    `ch` - character array containing the tag's body information.
    `start` - starting index of the body text in the character array.
    `length` - length of the text found in the body.
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String ns,
                           java.lang.String local,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Method called with each end element in an XML Document

  Parameters:
    `ns` - The namespace associated with this element
    `local` - The local name of this element
    `qName` - The qualified name of this element
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String ns,
                             java.lang.String local,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Method called with each start element in an XML document

  Parameters:
    `ns` - The namespace associated with this element
    `local` - The local name of this element
    `qName` - The qualified name of this element
    `atts` - Attributes associated with this element
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD